%define pkg_name        Net-MovableType
%define pkg_version     1.75_01
%define rpm_pkg_version 1.75_01
%define rpm_pkg_release 1.n0i.5

Summary:       Light-weight MovableType client
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SH/SHERZODR/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(SOAP::Lite)


%description
Using Net::MovableType you can post new entries, edit existing entries,
browse entries and users blogs, and perform most of the features you can
perform through accessing your MovableType account.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
# need proper MT setup for testing
%{?_with_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{__chmod} a-x bin/*


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
# too ugly to be useful :(
%exclude %{_bindir}
%doc Changes README bin/*


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.75_01-1.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.75_01

* Sun Jul 31 2005 Marius Feraru <altblue@n0i.net> 1.74-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.74-1.n0i.3
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.74-1.n0i.2
- version 1.74

* Sun May 09 2004 Marius Feraru <altblue@n0i.net> 0:1.73-1.n0i.1
- version 1.73
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
